<template>
  <div id="take-appointement">
    <div class="container1">
      <div class="login-popup-heading text-center">
        <h4>All appointment</h4>
      </div>
      <div class="row col-md-6 col-md-offset-2 custyle">
        <table class="table table-striped custab">
          <thead>
            <tr>
              <th>Peluquero</th>
              <th>Type service</th>
              <th>Startime</th>
              <th>Endtime</th>
              <th>price</th>
              <th class="text-center">Action</th>
            </tr>
          </thead>
          <template v-for="(listevent, index) in events">
            <ReserveAppointmentitem
              :events="listevent"
              :key="index"
              @btn-delete="deleteUser"
              @btn-edit="buttonEdit"
            />
          </template>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import ReserveAppointmentitem from "@/components/ReserveAppointmentitem.vue";

export default {
  name: "reserveAppointment",
  components: {
    ReserveAppointmentitem
  },
  props: {
    events: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {};
  },
  methods: {
    deleteUser(id) {
      this.$emit("button-delete", id);
    },
    buttonEdit(events) {
      this.$emit("button-edit", events);
    }
  }
};
</script>

<style scoped>
th {
  padding-right: 30px;
}
.custab {
  border: 1px solid #ccc;
  padding: 5px;
  margin: 5% 0;
  box-shadow: 3px 3px 2px #ccc;
  transition: 0.5s;
}
.custab:hover {
  box-shadow: 3px 3px 0px transparent;
  transition: 0.5s;
}
.login-popup-heading > h4 {
  color: #258b47;
  font-size: 18px;
  line-height: 30px;
}
</style>
